mysite/mysite/apps/blog/urls.py
from django.urls import path
from django.conf.urls import url
from . import views

app_name = 'blog'

urlpatterns = [
    path('', views.main, name='main'),
    #path('<int:article_id>', views.single, name='single'),
    #path('<int:plantsforsale_id>', views.firstaricle, name='firstaricle'),
    path('payment', views.payment, name='payment'),
    path('login', views.login, name='login'),
    path('logout', views.logout, name='logout'),
] 

mysite/mysite/urls.py
from django.contrib import admin
from django.urls import path, include
from . import views

urlpatterns = [
    path('admin/', admin.site.urls),
    path('blog/', include('blog.urls')),
    path('grappelli/', include('grappelli.urls')), 
    path('main/', views.main, name='main'),
    path('accounts/', include('allauth.urls')),
    path('blog/templates/account/', include(('blog.urls', 'account'), namespace='account')),
    path('blog/templates/', include(('blog.urls', 'templates'), namespace='templates')),
    path('', views.main),
] 

mysite/mysite/apps/blog/models.py
from django.db import models

class Post(models.Model):
    title = models.CharField('Title of the note', max_length= 120)
    body = models.TextField('Text of the note')
    date = models.DateTimeField('Date of the publication') 
    img = models.ImageField('Image')

class Heading(models.Model):
    title = models.CharField('Title of the note', max_length= 120)


# созданы в учебных целях

class Article(models.Model):
    title = models.CharField('название статьи', max_length= 120)
    body = models.TextField('текст статьи')
    date = models.DateTimeField('дата публикации') 

    def __str__(self):
        return self.title

    class Meta:
        verbose_name = 'Статья'
        verbose_name_plural = 'Статьи'

class Comment(models.Model):
    article = models.ForeignKey(Article, on_delete=models.CASCADE)
    author = models.CharField('имя автора', max_length=30)
    comment_text = models.CharField('текст комментария', max_length=220)  

    def __str__(self):
        return self.author

    class Meta:
        verbose_name = 'Комментарий'
        verbose_name_plural = 'Комментарии' 


# созданы для финального варианта

class PlantsForSale(models.Model):
    title = models.CharField('title', max_length= 120)
    body = models.TextField('body')
    date = models.DateTimeField('date') 
    price = models.DecimalField('price', max_digits=6, decimal_places=2)
    image = models.ImageField(upload_to="images")

    def __str__(self):
        return self.title

    class Meta:
        verbose_name = 'Head Article'
        verbose_name_plural = 'Head Articles'

class InfoArticle(models.Model):
    title1 = models.CharField('title1', max_length= 120)
    title2 = models.CharField('title2', max_length= 120)
    body = models.TextField('text')
    date = models.DateTimeField('date') 
    image = models.ImageField(upload_to="images")

    def __str__(self):
        return self.title1

    class Meta:
        verbose_name = 'Other Article'
        verbose_name_plural = 'Other Articles'

class City(models.Model):
    name = models.CharField(max_length=25)

    def _str_(self): #show the actual city name on the dashboard
        return self.name

    class Meta: #show the plural of city as cities instead of citys
        verbose_name_plural = 'cities'

mysite/mysite/apps/blog/views.py
from django.shortcuts import render
from blog.models import Article, PlantsForSale, City
from django.http import Http404, HttpResponseRedirect, HttpResponse
import requests

def main(request):
    list_plantsforsale = PlantsForSale.objects.order_by('-date')
    return render(request, './main.html', {'list_plantsforsale': list_plantsforsale } ) 

def payment(request):
    return render(request, 'blog/payment.html', {})

def login(request):
    return render(request, 'account/login.html', {})

def logout(request):
    return render(request, 'account/logout.html', {})

mysite/mysite/views.py
from django.shortcuts import render

def main(request) :
    return render(request, 'main.html')

mysite/mysite/apps/blog/templates/blog/payment.html
{% extends "blog/wrapper.html" %} {% block content %}
<div class="container my-lg-4 paddin">
  <div class="row">
    <div >
      <div class="panel panel-default">
        <div class="panel-heading">
          <h3 class="panel-title">Payment Details</h3>
          <div class="checkbox pull-right">
            <div class="alert alert-success" role="alert">
              <h4 class="alert-heading">
                The fairy tale has almost become a reality!
              </h4>
              {% if request.user.is_authenticated %}
            <span>Dear {{ request.user.get_username }}, you have selected an amazing plant!</span>
            {% else %}
            <span>You have selected an amazing plant!</span>
            {% endif %}
              
            </div>
            <div class="checkbox pull-right">
              <label>
                <input type="checkbox" />
                Remember
              </label>
            </div>
          </div>
          <div class="panel-body">
            <form role="form" class="col-xs-12 col-md-4">
              <div class="form-group">
                <label for="cardNumber"> CARD NUMBER</label>
                <div class="input-group">
                  <input
                    type="text"
                    class="form-control"
                    id="cardNumber"
                    placeholder="Valid Card Number"
                    required
                    autofocus
                  />
                  <span class="input-group-addon"
                    ><span class="glyphicon glyphicon-lock"></span
                  ></span>
                </div>
              </div>
              <div class="row">
                <div class="col-xs-7 col-md-7">
                  <div class="form-group">
                    <label for="expityMonth"> EXPIRY DATE</label>
                    <div class="col-xs-6 col-lg-6 pl-ziro">
                      <input
                        type="text"
                        class="form-control"
                        id="expityMonth"
                        placeholder="MM"
                        required
                      />
                    </div>
                    <div class="col-xs-6 col-lg-6 pl-ziro">
                      <input
                        type="text"
                        class="form-control"
                        id="expityYear"
                        placeholder="YY"
                        required
                      />
                    </div>
                  </div>
                </div>
                <div class="col-xs-5 col-md-5 pull-right">
                  <div class="form-group">
                    <label for="cvCode"> CV CODE</label>
                    <input
                      type="password"
                      class="form-control"
                      id="cvCode"
                      placeholder="CV"
                      required
                    />
                  </div>
                </div>
              </div>
            </form>
          </div>
        </div>
        
        <br />
        <a href="#" class="btn btn-success btn-lg btn-block" role="button"
          >Pay</a
        >
      </div>
    </div>
  </div>
  {% endblock %}
</div>

mysite/mysite/apps/blog/templates/blog/wrapper.html
<!DOCTYPE html>
<html lang="en">

<head>
  {% load static %}
  <link rel="shortcut icon" href="{% static 'blog/images/buga.jpeg' %}" type="image/jpeg" />
  <link rel="stylesheet" type="text/css" href="{% static 'blog/css/bootstrap.min.css'%}" />
  <link rel="stylesheet" type="text/css" href="{% static 'blog/css/carousel.css'%}" />
  <meta http-equiv="X-UA-Compatible" content="ie=edge" />
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <title>{% block title %}The Houseplant Shop {% endblock %}</title>

  <meta charset="utf-8" />
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no" />
  <meta name="description" content="" />
  <meta name="author" content="Denis Karandashev" />
  <meta name="generator" content="Jekyll v4.1.1" />

  <!-- Bootstrap core CSS  
    {% load static %}
    <link rel="stylesheet" href="{% static 'css/bootstrap.min.css'%}" type="text/css">
-->

  <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.1/css/bootstrap.min.css"
    integrity="sha384-WskhaSGFgHYWDcbwN70/dfYBj47jz9qbsMId/iRN3ewGhXQFZCSftd1LZCfmhktB" crossorigin="anonymous" />
</head>

<body>
  <header>
    <nav class="navbar navbar-expand-md navbar-dark fixed-top bg-dark">
      <a class="navbar-brand text-warning" href="/main"><strong>The Houseplant Shop</strong></a>
      <div class="collapse navbar-collapse" id="navbarCollapse">
        <ul class="navbar-nav mr-auto">
          <div id="m-booked-small-t3-7337">
            <div class="booked-weather-160x36 w160x36-22"
              style="background-color:#fff5d9; color:#333333; border-radius:4px; -moz-border-radius:4px; border:none">
              <a target="_blank" style="color:#08488D;" href="https://www.booked.net/weather/kursk-17770"
                class="booked-weather-160x36-city">Kursk</a> <a target="_blank" class="booked-weather-160x36-right"
                href="https://www.booked.net/"><img src="//s.bookcdn.com/images/letter/s5.gif" alt="booked.net" /></a>
              <div class="booked-weather-160x36-degree">0&deg;<span>C</span></div>
            </div>
          </div>
          <script type="text/javascript">
            var css_file = document.createElement("link");
            css_file.setAttribute("rel", "stylesheet");
            css_file.setAttribute("type", "text/css");
            css_file.setAttribute("href", 'https://s.bookcdn.com/css/w/bw-160-36.css?v=0.0.1');
            document.getElementsByTagName("head")[0].appendChild(css_file);

            function setWidgetData(data) {
              if (typeof (data) != 'undefined' && data.results.length > 0) {
                for (var i = 0; i < data.results.length; ++i) {
                  var objMainBlock = document.getElementById('m-booked-small-t3-7337');
                  if (objMainBlock !== null) {
                    var copyBlock = document.getElementById('m-bookew-weather-copy-' + data.results[i].widget_type);
                    objMainBlock.innerHTML = data.results[i].html_code;
                    if (copyBlock !== null) objMainBlock.appendChild(copyBlock);
                  }
                }
              } else {
                alert('data=undefined||data.results is empty');
              }
            }
          </script>
          <script type="text/javascript" charset="UTF-8"
            src="https://widgets.booked.net/weather/info?action=get_weather_info&ver=6&cityID=17770&type=13&scode=124&ltid=3539&domid=&anc_id=1857&cmetric=1&wlangID=1&color=fff5d9&wwidth=158&header_color=fff5d9&text_color=333333&link_color=08488D&border_form=3&footer_color=fff5d9&footer_text_color=333333&transparent=0">
          </script>       
          <!-- -->
        </ul>
        <ul class="navbar-nav mr-sm-2">
          <li class="nav-item active my-2 my-sm-0">
            {% if request.user.is_authenticated %}
            <span class="text-warning p-3" href="{% url 'account_logout' %}">Hello, {{ request.user.get_username }}</span>
            <a class="btn btn-warning" href="{% url 'account_logout' %}">Logout</a>
            {% else %}
            <a class="btn btn-warning" href="{% url 'account_login' %}">Login</a>
            {% endif %}
          </li>
        </ul>
      </div>
    </nav>
  </header>

  <div class = "container">
  {% block firstblock %} {% endblock %}
  {% block content %} {% endblock %}
</div>

  <footer class="container text-center my-2 my-sm-3 my-lg-4 p-3">
    <p>
      <strong></strong>&copy; Denis Karandashev &middot; 2020</strong>
      <!--&middot; <a href="#">Privacy</a> &middot;
        <a href="#">Terms</a>-->
    </p>
  </footer>

  <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js"
    integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous">
  </script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js"
    integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous">
  </script>
  <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"
    integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous">
  </script>
</body>
</html>

mysite/mysite/apps/blog/templates/blog/wrapper_center.html
<!DOCTYPE html>
<html lang="en">
  <head>
    {% load static %}
    <link
      rel="shortcut icon"
      href="{% static 'blog/images/buga.jpeg' %}"
      type="image/jpeg"
    />
    <link
      rel="stylesheet"
      type="text/css"
      href="{% static 'blog/css/bootstrap.min.css'%}"
    />
    <link
    rel="stylesheet"
    type="text/css"
    href="{% static 'blog/css/carousel.css'%}"
  />
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta http-equiv="X-UA-Compatible" content="ie=edge" />
    <title>{% block title %}The Houseplant Shop {% endblock %}</title>

    <meta charset="utf-8" />
    <meta
      name="viewport"
      content="width=device-width, initial-scale=1, shrink-to-fit=no"
    />
    <meta name="description" content="" />
    <meta name="author" content="Denis Karandashev" />
    <meta name="generator" content="Jekyll v4.1.1" />

    <!-- Bootstrap core CSS -->

    <link
      rel="stylesheet"
      href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.1/css/bootstrap.min.css"
      integrity="sha384-WskhaSGFgHYWDcbwN70/dfYBj47jz9qbsMId/iRN3ewGhXQFZCSftd1LZCfmhktB"
      crossorigin="anonymous"
    />
  
  </head>
  <body>
    <header>
      <nav class="navbar navbar-expand-md navbar-dark fixed-top bg-dark">
        <a class="navbar-brand text-warning" href="/main"
          ><strong>The Houseplant Shop</strong></a
        >
        <button
          class="navbar-toggler"
          type="button"
          data-toggle="collapse"
          data-target="#navbarCollapse"
          aria-controls="navbarCollapse"
          aria-expanded="false"
          aria-label="Toggle navigation"
        >
          <span class="navbar-toggler-icon"></span>
        </button>
      </nav>
    </header>

  <div class="text-center my-2 my-sm-3 my-lg-4 p-3">
    {% block content %} {% endblock %}
  </div>

    <footer class="container text-center my-2 my-sm-3 my-lg-4 p-3">
      <p>
        <strong></strong>&copy; Denis Karandashev &middot; 2020</strong>
      </p>

      <script
      src="https://code.jquery.com/jquery-3.3.1.slim.min.js"
      integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo"
      crossorigin="anonymous"
    ></script>
    <script
      src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js"
      integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1"
      crossorigin="anonymous"
    ></script>
    <script
      src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"
      integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM"
      crossorigin="anonymous"
    ></script>
    </footer>
  </body>
</html>

mysite/mysite/apps/blog/templates/main.html
{% extends "blog/wrapper.html" %}

{% block content %} {% load static %} 

<link rel="stylesheet" href="{% static 'blog/css/bootstrap.min.css'%}" type="text/css" />
<main role="main">
  <div class="container marketing mx-auto my-2 my-sm-3 my-lg-4 p-3">
    <!-- Three columns of text below the carousel -->

    <div class="row">
      <div class="col-lg-4">
        <img src="../../../../../static/blog/images/buga.jpeg" class="bd-placeholder-img rounded-circle" width="180"
          height="180" xmlns="http://www.w3.org/2000/svg" preserveAspectRatio="xMidYMid slice" focusable="false"
          role="img" aria-label="Placeholder: 180x180" /><br /><br />
        <h2 class="text-warning">The most beautiful flower</h2>
        <p>
          Bougainvillea is a genus of thorny ornamental vines, bushes, or trees.
          It is native to Eastern South America, from Brazil, west to Peru, and
          south to southern Argentina. Different authors accept from four to 18
          species in the genus. The inflorescence consists of large colourful
          sepal-like bracts which surround three simple waxy flowers.
        </p>
        <p>
          <a class="btn btn-warning" href="{% url 'blog:payment' %}" role="button">Buy it now &raquo;</a>
        </p>
      </div>
      <!-- /.col-lg-4 -->
      <div class="col-lg-4">
        <img src="../../../../../static/blog/images/ham.jpg" class="bd-placeholder-img rounded-circle" width="180"
          height="180" xmlns="http://www.w3.org/2000/svg" preserveAspectRatio="xMidYMid slice" focusable="false"
          role="img" aria-label="Placeholder: 140x140" /><br/><br/>
        <h2 class="text-warning">Your own home palm</h2>
        <p>
          Chamaedorea is a genus of 107 species of palms, native to subtropical
          and tropical regions of the Americas. They are small palms, growing to
          0.3–6 m (1 ft 0 in–19 ft 8 in) tall with slender, cane-like stems,
          growing in the understory in rainforests, and often spreading by means
          of underground runners, forming clonal colonies.
        </p>
        <p>
          <a class="btn btn-warning" href="{% url 'blog:payment' %}" role="button">Buy it now &raquo;</a>
        </p>
      </div>
      <!-- /.col-lg-4 -->
      <div class="col-lg-4">
        <img src="../../../../../static/blog/images/figa.jpg" class="bd-placeholder-img rounded-circle" width="180"
          height="180" xmlns="http://www.w3.org/2000/svg" preserveAspectRatio="xMidYMid slice" focusable="false"
          role="img" aria-label="Placeholder: 140x140" /><br/><br/>
        <h2 class="text-warning">Tree from Arabian Tales</h2>
        <p>
          Ficus carica is known as the common fig. It is the source of the fruit
          also called the fig and as such is an important crop in those areas
          where it is grown commercially. Native to the Mediterranean and
          western Asia, it has been sought out and cultivated since ancient
          times and is now widely grown throughout the world.
        </p>
        <p>
          <a class="btn btn-warning" href="{% url 'blog:payment' %}" role="button">Buy it now &raquo;</a>
        </p>
      </div>
      <!-- /.col-lg-4 -->
    </div>
    <div class="row featurette">
      <div class="col-md-7">
        <h2 class="featurette-heading">
          Gülhane Park
          <span class="text-muted">It’ll blow your mind.</span>
        </h2>
        <p class="lead">
          Gülhane Park (Turkish: Gülhane Parkı, "Rosehouse Park"; from Persian:
          گلخانه Gulkhāna, "house of flowers") is a historical urban park in the
          Eminönü district of Istanbul, Turkey; it is adjacent to and on the
          grounds of the Topkapı Palace. The south entrance of the park sports
          one of the larger gates of the palace. It is the oldest and one of the
          most expansive public parks in Istanbul.
        </p>
        <a class="text-decoration-none text-muted" href="https://en.wikipedia.org/wiki/G%C3%BClhane_Park">
          <p><i><b>Go to Wikipedia and read more...</b></i></p>
        </a>
      </div>

      <div class="col-md-5">
        <img src="../../../../../static/blog/images/tul.jpg" width="500" height="500"
          preserveAspectRatio="xMidYMid slice" focusable="true" role="img" aria-label="Placeholder: 500x500" />

        <title>Placeholder</title>
        <rect width="100%" height="100%" fill="#eee" />
      </div>
    </div>

    <!-- <hr class="featurette-divider" /> -->

    <div class="row featurette">
      <div class="col-md-7 order-md-2">
        <h2 class="featurette-heading">
          Hanami
          <span class="text-muted">or "flower viewing".</span>
        </h2>
        <p class="lead">
          Hanami (花見, "flower viewing") is the Japanese traditional custom of enjoying the transient beauty of flowers;
          flowers ("hana") are in this case almost always referring to those of the cherry ("sakura") or, less
          frequently, plum ("ume") trees.[1] From the end of March to early May, cherry trees bloom all over Japan,[2]
          and around the first of February on the island of Okinawa.[3] The blossom forecast (桜前線, sakura-zensen)
          "cherry blossom front" is announced each year by the weather bureau, and is watched carefully by those
          planning hanami as the blossoms only last a week or two.
        </p>
        <a class="text-decoration-none text-muted" href="https://en.wikipedia.org/wiki/Hanami">
          <p><i><b>Go to Wikipedia and read more...</b></i></p>
        </a>
      </div>
      <div class="col-md-5 order-md-1">
        <img src="../../../../../static/blog/images/japan.jpeg"
          class="bd-placeholder-img bd-placeholder-img-lg featurette-image img-fluid mx-auto" width="500" height="500"
          xmlns="../../../../../static/blog/images/japan.jpeg" preserveAspectRatio="xMidYMid slice" focusable="true"
          role="img" aria-label="Placeholder: 500x500" />
        <title>Placeholder</title>
        <rect width="100%" height="100%" fill="#eee" />
        </svg>
      </div>
    </div>

    <!-- <hr class="featurette-divider" /> -->

    <div class="row featurette">
      <div class="col-md-7">
        <h2 class="featurette-heading">
          And lastly, this one. <span class="text-muted">Dandelion.</span>
        </h2>
        <p class="lead">
          Dandelions are thought to have evolved about 30 million years ago in Eurasia. Fossil seeds of Taraxacum
          tanaiticum have been recorded from the Pliocene of southern Russia.[26] Dandelions have been used by humans
          for food and as an herb for much of recorded history. They were well known to ancient Egyptians, Greeks and
          Romans, and are recorded to have been used in traditional Chinese medicine for over a thousand years. The
          plant was used as food and medicine by Native Americans. Dandelions were brought to North America on the
          Mayflower for their medicinal benefits.
        </p>
        <a class="text-decoration-none text-muted" href="https://en.wikipedia.org/wiki/Taraxacum">
          <p><i><b>Go to Wikipedia and read more...</b></i></p>
        </a>
      </div>
      <div class="col-md-5">
        <img src="../../../../../static/blog/images/bee.jpeg"
          class="bd-placeholder-img bd-placeholder-img-lg featurette-image img-fluid mx-auto" width="500" height="500"
          xmlns="../../../../../static/blog/images/bee.jpeg" preserveAspectRatio="xMidYMid slice" focusable="true"
          role="img" aria-label="Placeholder: 500x500" />
        <title>Placeholder</title>
        <rect width="100%" height="100%" fill="#eee" />
        </svg>
      </div>
    </div>

    <!-- <hr class="featurette-divider" /> -->

    <!-- /END THE FEATURETTES -->
  </div>
</main>
<div class="container my-2 my-sm-3 my-lg-4 p-3">
  <button type="button" class="btn btn-warning float-center">
    <a class="text-dark text-decoration-none" href="#">Back to top</a>
  </button>
</div>
{% endblock %}